import React from "react";
import "react-big-calendar/lib/css/react-big-calendar.css";
import { useTranslation } from "react-i18next";
import ScheduleCalendarWrapperComponent from "../schedule-calendar-wrapper/scheduler-calendar-wrapper.component";

export default function ScheduleDayViewComponent({ data, day }) {
  const { t } = useTranslation();
  if (data)
    //TODO Remove addtional calendar elements from day view.
    return (
      <ScheduleCalendarWrapperComponent
        events={data}
        defaultView="day"
        views={["day"]}
        style={{ height: "40vh" }}
        defaultDate={new Date(day)}
        //onNavigate={e => console.log("e", e)}
      />
    );
  else return <div>{t("appointments.labels.nodateselected")}</div>;
}
